[**Burrows-Wheeler transform**](http://en.wikipedia.org/wiki/Burrows%E2%80%93Wheeler_transform)

[![Build Status](https://travis-ci.org/ethylamide/burrows_wheeler.svg)](https://travis-ci.org/ethylamide/burrows_wheeler)

## Installation

Add this line to your application's Gemfile:

    gem 'burrows_wheeler'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install burrows_wheeler

## Usage

Typical use-case looks something like this:

```ruby
require 'burrows_wheeler/transform'
inp = StringIO.new('ABRACADABRA!')
File.open('/tmp/file.bwt') do |out|
  BurrowsWheeler::Transform.encode(inp, out)
end
```

```ruby
File.open('/tmp/file.bwt') do |inp|
  out = StringIO.new
  BurrowsWheeler::Transform.decode(inp, out)
  puts out.string
end
```

## Contributing

1. Fork it ( https://github.com/ethylamide/burrows_wheeler/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
