require 'helper'
require 'burrows_wheeler/circular_string'

module BurrowsWheeler
  class TestCircularString < MiniTest::Unit::TestCase
    def setup
      @circular_string = CircularString.new('ABRACADABRA!', 5)
    end

    def test_indexing
      assert_equal '!', @circular_string[6]
    end

    def test_length
      assert_equal 12, @circular_string.length
    end

    def test_to_string_transformation
      assert_equal 'ADABRA!ABRAC', @circular_string.to_s
    end

    def test_comparing
      other = CircularString.new('ABRACADABRA!', 11)
      assert_operator @circular_string, :>, other
    end

    def test_subsequence
      sub = @circular_string.subsequence(0, 6)
      assert_equal sub.to_s, 'AABRAC'
    end
  end
end
