require 'helper'
require 'burrows_wheeler/transform'

module BurrowsWheeler
  class TestTransform < MiniTest::Unit::TestCase
    def test_encode
      inp = StringIO.new('ABRACADABRA!')
      out = StringIO.new

      BurrowsWheeler::Transform.encode(inp, out)

      assert_equal "\u0003\u0000\u0000\u0000\u0000\u0000\u0000\u0000ARD!RCAAAABB", out.string
    end

    def test_decode
      inp = StringIO.new("\u0003\u0000\u0000\u0000\u0000\u0000\u0000\u0000ARD!RCAAAABB")
      out = StringIO.new

      BurrowsWheeler::Transform.decode(inp, out)

      assert_equal 'ABRACADABRA!', out.string
    end
  end
end
